Debian Bug report logs - #700076
ibus/1.5.x: several regressions

version graph

Package: ibus; Maintainer for ibus is IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>; Source for ibus is src:ibus.

Reported by: Norbert Preining <preining@logic.at>

Date: Fri, 8 Feb 2013 09:45:02 UTC

Severity: important

Tags: upstream

Fixed in version ibus/1.5.2-1

Done: Osamu Aoki <osamu@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://code.google.com/p/ibus/issues/detail?id=1591

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, preining@logic.at, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Fri, 08 Feb 2013 09:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
New Bug report received and forwarded. Copy sent to preining@logic.at, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Fri, 08 Feb 2013 09:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ibus: non-functional, setup breaks
Date: Fri, 08 Feb 2013 18:40:15 +0900
Package: ibus
Version: 1.5.1-1
Severity: grave
Justification: renders package unusable

Hi,

I am trying to run ibus from experimental, but it does not work
at all anymore. Ctrl-Space does not activate anything,
LEFT clicking on the GNOME kbd indicator in the top bar does only
show a small grey rectangle (2px by 10px or so).

RIGHT clicking on the indicator an selecting preferences has no effect.

RIGHT clicking and selecting restart has no effect.

Starting 
	ibus-setup
from the command line produces
	ERROR:root:Could not find any typelib for IBus
	Traceback (most recent call last):
	  File "/usr/share/ibus/setup/main.py", line 30, in <module>
	    from gi.repository import IBus
	ImportError: cannot import name IBus

In the syslog/dmesg I see
traps: ibus-dconf[7263] trap int3 ip:7f91ae830491 sp:7fff79687c00 error:0

Thanks

Norbert

-- System Information:
Debian Release: 7.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (200, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.8.0-rc6+ (SMP w/4 CPU cores; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages ibus depends on:
ii  dconf-gsettings-backend [gsettings-backend]  0.12.1-3
ii  gnome-icon-theme                             3.4.0-2
ii  libatk1.0-0                                  2.4.0-2
ii  libc6                                        2.13-38
ii  libdconf0                                    0.12.1-3
ii  libgdk-pixbuf2.0-0                           2.26.1-1
ii  libglib2.0-0                                 2.33.12+really2.32.4-5
ii  libgtk-3-0                                   3.4.2-6
ii  libgtk2.0-0                                  2.24.10-2
ii  libibus-1.0-5                                1.5.1-1
ii  libpango1.0-0                                1.30.0-1
ii  librsvg2-common                              2.36.1-1
ii  libx11-6                                     2:1.5.0-1
ii  libxi6                                       2:1.6.1-1
ii  python                                       2.7.3-3
ii  python-ibus                                  1.5.1-1
ii  python-notify                                0.1.1-3
ii  python-xdg                                   0.19-5

Versions of packages ibus recommends:
ii  ibus-clutter           0.0+git20090728.a936bacf-5
ii  ibus-gtk               1.5.1-1
ii  ibus-gtk3              1.5.1-1
ii  ibus-qt4               1.3.1-2.1
ii  im-config [im-switch]  0.20

Versions of packages ibus suggests:
pn  ibus-doc  <none>

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Fri, 08 Feb 2013 10:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Toni Mueller <support@oeko.net>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Fri, 08 Feb 2013 10:15:06 GMT) Full text and rfc822 format available.

Message #10 received at 700076@bugs.debian.org (full text, mbox):

From: Toni Mueller <support@oeko.net>
To: Norbert Preining <preining@logic.at>, 700076@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>, support@oeko.net
Subject: Re: [Pkg-ime-devel] Bug#700076: ibus: non-functional, setup breaks
Date: Fri, 8 Feb 2013 11:12:40 +0100
Hi,

On Fri, Feb 08, 2013 at 06:40:15PM +0900, Norbert Preining wrote:
> Package: ibus
> Version: 1.5.1-1

a similar statement goes for the predecessor version,
1.4.99.20120917-3. I get that same import error, too.

I really hoped that 1.5.1 would fix, not exacerbate or continue,
the situation.

I don't run Gnome, however - only a pure 'awesome', with no custom
configuration.



Kind regards,
--Toni++




Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Fri, 08 Feb 2013 10:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Fri, 08 Feb 2013 10:48:03 GMT) Full text and rfc822 format available.

Message #15 received at 700076@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: Toni Mueller <support@oeko.net>, 700076@bugs.debian.org
Cc: Norbert Preining <preining@logic.at>
Subject: Re: Bug#700076: [Pkg-ime-devel] Bug#700076: ibus: non-functional, setup breaks
Date: Fri, 8 Feb 2013 19:42:26 +0900
On Fri, Feb 08, 2013 at 11:12:40AM +0100, Toni Mueller wrote:
> 
> Hi,
> 
> On Fri, Feb 08, 2013 at 06:40:15PM +0900, Norbert Preining wrote:
> > Package: ibus
> > Version: 1.5.1-1
> 
> a similar statement goes for the predecessor version,
> 1.4.99.20120917-3. I get that same import error, too.
> 
> I really hoped that 1.5.1 would fix, not exacerbate or continue,
> the situation.
> 
> I don't run Gnome, however - only a pure 'awesome', with no custom
> configuration.

This is somewhat expected complication which I am no expert to explain.

Aron,

What we need is a wiki.debian.org/ibus page which describes post-1.5
migration howto.  I am sure you have already done some.

Osamu




Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Fri, 08 Feb 2013 12:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Fri, 08 Feb 2013 12:27:03 GMT) Full text and rfc822 format available.

Message #20 received at 700076@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Osamu Aoki <osamu@debian.org>
Cc: Toni Mueller <support@oeko.net>, 700076@bugs.debian.org
Subject: Re: Bug#700076: [Pkg-ime-devel] Bug#700076: ibus: non-functional, setup breaks
Date: Fri, 8 Feb 2013 21:24:59 +0900
Dear all,

thanks for taking care for that.

On Fr, 08 Feb 2013, Osamu Aoki wrote:
> This is somewhat expected complication which I am no expert to explain.
> 
> Aron,
> 
> What we need is a wiki.debian.org/ibus page which describes post-1.5
> migration howto.  I am sure you have already done some.

I see, but shouldn't that be taken care of automatically? If the
upgrade needs user interaction of *every* user that looks like a big
problem. If it is the sysadm who needs to change something, shouldn't
this be done during postinst?

And, what is it? I would like to get my Japanese input running again ;-)

Thanks

Norbert

------------------------------------------------------------------------
PREINING, Norbert                               http://www.preining.info
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Fri, 08 Feb 2013 13:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Toni Mueller <support@oeko.net>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Fri, 08 Feb 2013 13:21:06 GMT) Full text and rfc822 format available.

Message #25 received at 700076@bugs.debian.org (full text, mbox):

From: Toni Mueller <support@oeko.net>
To: Norbert Preining <preining@logic.at>, 700076@bugs.debian.org
Cc: Osamu Aoki <osamu@debian.org>, Toni Mueller <support@oeko.net>
Subject: Re: [Pkg-ime-devel] Bug#700076: Bug#700076: ibus: non-functional, setup breaks
Date: Fri, 8 Feb 2013 14:16:26 +0100
Hi,

On Fri, Feb 08, 2013 at 09:24:59PM +0900, Norbert Preining wrote:
> And, what is it? I would like to get my Japanese input running again ;-)

dunno, but I have a bunch of input method systems (ibus + some)
installed simulanously, just in case one breaks down. In such a case, I
can simply activate another (hopefully they don't all break down at the
same time). YMMV.


Kind regards,
--Toni++




Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Fri, 08 Feb 2013 13:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Fri, 08 Feb 2013 13:45:05 GMT) Full text and rfc822 format available.

Message #30 received at 700076@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Toni Mueller <support@oeko.net>
Cc: 700076@bugs.debian.org, Osamu Aoki <osamu@debian.org>
Subject: Re: [Pkg-ime-devel] Bug#700076: Bug#700076: ibus: non-functional, setup breaks
Date: Fri, 8 Feb 2013 22:41:11 +0900
On Fr, 08 Feb 2013, Toni Mueller wrote:
> > And, what is it? I would like to get my Japanese input running again ;-)
> 
> dunno, but I have a bunch of input method systems (ibus + some)
> installed simulanously, just in case one breaks down. In such a case, I
> can simply activate another (hopefully they don't all break down at the
> same time). YMMV.

Same here, but I cannot event switch fro ibus-mozc to ibus-anthy,
because no activation of ibus works.

I thought about that it looks we need to rebuild mozc* and
probably ibus-clutter with bumped build deps on ibus ... but who knows?

Norbert

------------------------------------------------------------------------
PREINING, Norbert                               http://www.preining.info
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Fri, 08 Feb 2013 14:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Fri, 08 Feb 2013 14:03:08 GMT) Full text and rfc822 format available.

Message #35 received at 700076@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Toni Mueller <support@oeko.net>
Cc: 700076@bugs.debian.org, Osamu Aoki <osamu@debian.org>
Subject: Re: [Pkg-ime-devel] Bug#700076: Bug#700076: ibus: non-functional, setup breaks
Date: Fri, 8 Feb 2013 23:02:16 +0900
On Fr, 08 Feb 2013, Norbert Preining wrote:
> I thought about that it looks we need to rebuild mozc* and

After rebuiling mozc with ibus 1.5.1 libs I now get a different
error message when trying to run ibus-setup, which hints in the
right direction:
$ ibus-setup 
Traceback (most recent call last):
  File "/usr/share/ibus/setup/main.py", line 563, in <module>
    setup = Setup()
  File "/usr/share/ibus/setup/main.py", line 83, in __init__
    self.__init_ui()
  File "/usr/share/ibus/setup/main.py", line 247, in __init_ui
    self.__init_hotkey()
  File "/usr/share/ibus/setup/main.py", line 88, in __init_hotkey
    variant = self.__config.get_value('general/hotkey', name)
AttributeError: 'NoneType' object has no attribute 'get_value'
$

So, yes, Ctrl-Space does not work because the hot key is not found.

Something in the dconf access broken?

Norbert

------------------------------------------------------------------------
PREINING, Norbert                               http://www.preining.info
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Fri, 08 Feb 2013 14:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Toni Mueller <support@oeko.net>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Fri, 08 Feb 2013 14:12:03 GMT) Full text and rfc822 format available.

Message #40 received at 700076@bugs.debian.org (full text, mbox):

From: Toni Mueller <support@oeko.net>
To: Norbert Preining <preining@logic.at>
Cc: Toni Mueller <support@oeko.net>, 700076@bugs.debian.org, Osamu Aoki <osamu@debian.org>
Subject: Re: [Pkg-ime-devel] Bug#700076: Bug#700076: ibus: non-functional, setup breaks
Date: Fri, 8 Feb 2013 15:09:27 +0100
On Fri, Feb 08, 2013 at 10:41:11PM +0900, Norbert Preining wrote:
> Same here, but I cannot event switch fro ibus-mozc to ibus-anthy,
> because no activation of ibus works.

I meant: I have all of ibus, scim and fctix installed. One of them
really *should* work, at any given point in time.


Kind regards,
--Toni++



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Fri, 08 Feb 2013 16:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Edelmann <edelmann@fs.tum.de>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Fri, 08 Feb 2013 16:39:05 GMT) Full text and rfc822 format available.

Message #45 received at 700076@bugs.debian.org (full text, mbox):

From: Philipp Edelmann <edelmann@fs.tum.de>
To: 700076@bugs.debian.org
Subject: Re: [Pkg-ime-devel] Bug#700076: Bug#700076: ibus: non-functional, setup breaks
Date: Fri, 8 Feb 2013 17:31:17 +0100
[Message part 1 (text/plain, inline)]
Hi,

I also ran into the same problems with the update to ibus 1.5.1. The
error in ibus-setup comes from the fact that self.__bus.get_config()
returns None instead of a config object.

This is a simple Python program that reproduces this behavior.

from gi.repository import IBus
b=IBus.Bus()
print b.get_config()

For me on Debian/Sid this prints "None".

According to the git log this bug was fixed with commit defa8ee66d.

I guess filing a bug in the ibus tracker would be appropriate now. I
might get around to that tonight.


Cheers,
Philipp
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Fri, 08 Feb 2013 16:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Fri, 08 Feb 2013 16:45:09 GMT) Full text and rfc822 format available.

Message #50 received at 700076@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: 700076@bugs.debian.org
Subject: Re: [Pkg-ime-devel] Bug#700076: ibus: non-functional, setup breaks
Date: Sat, 9 Feb 2013 00:42:29 +0800
Thanks for the report, I was on train when I first saw the report,
I'll deal with it very soon.

On Fri, Feb 8, 2013 at 5:40 PM, Norbert Preining <preining@logic.at> wrote:
> Package: ibus
> Version: 1.5.1-1
> Severity: grave
> Justification: renders package unusable
>
> Hi,
>
> I am trying to run ibus from experimental, but it does not work
> at all anymore. Ctrl-Space does not activate anything,
> LEFT clicking on the GNOME kbd indicator in the top bar does only
> show a small grey rectangle (2px by 10px or so).
>
> RIGHT clicking on the indicator an selecting preferences has no effect.
>
> RIGHT clicking and selecting restart has no effect.
>
> Starting
>         ibus-setup
> from the command line produces
>         ERROR:root:Could not find any typelib for IBus
>         Traceback (most recent call last):
>           File "/usr/share/ibus/setup/main.py", line 30, in <module>
>             from gi.repository import IBus
>         ImportError: cannot import name IBus
>
> In the syslog/dmesg I see
> traps: ibus-dconf[7263] trap int3 ip:7f91ae830491 sp:7fff79687c00 error:0
>
> Thanks
>
> Norbert
>
> -- System Information:
> Debian Release: 7.0
>   APT prefers unstable
>   APT policy: (500, 'unstable'), (200, 'experimental')
> Architecture: amd64 (x86_64)
>
> Kernel: Linux 3.8.0-rc6+ (SMP w/4 CPU cores; PREEMPT)
> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/bash
>
> Versions of packages ibus depends on:
> ii  dconf-gsettings-backend [gsettings-backend]  0.12.1-3
> ii  gnome-icon-theme                             3.4.0-2
> ii  libatk1.0-0                                  2.4.0-2
> ii  libc6                                        2.13-38
> ii  libdconf0                                    0.12.1-3
> ii  libgdk-pixbuf2.0-0                           2.26.1-1
> ii  libglib2.0-0                                 2.33.12+really2.32.4-5
> ii  libgtk-3-0                                   3.4.2-6
> ii  libgtk2.0-0                                  2.24.10-2
> ii  libibus-1.0-5                                1.5.1-1
> ii  libpango1.0-0                                1.30.0-1
> ii  librsvg2-common                              2.36.1-1
> ii  libx11-6                                     2:1.5.0-1
> ii  libxi6                                       2:1.6.1-1
> ii  python                                       2.7.3-3
> ii  python-ibus                                  1.5.1-1
> ii  python-notify                                0.1.1-3
> ii  python-xdg                                   0.19-5
>
> Versions of packages ibus recommends:
> ii  ibus-clutter           0.0+git20090728.a936bacf-5
> ii  ibus-gtk               1.5.1-1
> ii  ibus-gtk3              1.5.1-1
> ii  ibus-qt4               1.3.1-2.1
> ii  im-config [im-switch]  0.20
>
> Versions of packages ibus suggests:
> pn  ibus-doc  <none>
>
> -- no debconf information
>
> _______________________________________________
> Pkg-ime-devel mailing list
> Pkg-ime-devel@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-ime-devel



-- 
Regards,
Aron Xu



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Fri, 08 Feb 2013 17:33:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ma Xiaojun <damage3025@gmail.com>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Fri, 08 Feb 2013 17:33:10 GMT) Full text and rfc822 format available.

Message #55 received at 700076@bugs.debian.org (full text, mbox):

From: Ma Xiaojun <damage3025@gmail.com>
To: Aron Xu <happyaron.xu@gmail.com>, 700076@bugs.debian.org
Subject: Re: [Pkg-ime-devel] Bug#700076: Bug#700076: ibus: non-functional, setup breaks
Date: Sat, 9 Feb 2013 01:31:34 +0800
You have latest ibus and ibus-table upstream release in unstable now.

I just want to remind you guys that other components of IBus may need
update also.
For example latest upstream release of ibus-anthy is 1.5.0 while you
have 1.2.x something.



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Fri, 08 Feb 2013 17:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ma Xiaojun <damage3025@gmail.com>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Fri, 08 Feb 2013 17:51:05 GMT) Full text and rfc822 format available.

Message #60 received at 700076@bugs.debian.org (full text, mbox):

From: Ma Xiaojun <damage3025@gmail.com>
To: 700076@bugs.debian.org
Subject: Re: [Pkg-ime-devel] Bug#700076: Bug#700076: Bug#700076: ibus: non-functional, setup breaks
Date: Sat, 9 Feb 2013 01:49:19 +0800
As I checked the debian/rules file and the errors given, it should be
clear that the IBus itself is not built correctly.

You build flags looks reasonable but they are different from Arch's
and Fedora's.
(Arch and Fedora have been using IBus 1.5 for a while.)
You probably hit some build system quirk?

You probably also need to update dconf somehow as a post install action.
(Since "make install" from source code would trigger such action.)



Added indication that bug 700076 blocks 692453 Request was from Praveen A <pravi.a@gmail.com> to control@bugs.debian.org. (Fri, 08 Feb 2013 18:00:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Fri, 08 Feb 2013 18:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Fri, 08 Feb 2013 18:33:03 GMT) Full text and rfc822 format available.

Message #67 received at 700076@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: Ma Xiaojun <damage3025@gmail.com>
Cc: 700076@bugs.debian.org
Subject: Re: [Pkg-ime-devel] Bug#700076: Bug#700076: ibus: non-functional, setup breaks
Date: Sat, 9 Feb 2013 02:31:18 +0800
On Sat, Feb 9, 2013 at 1:31 AM, Ma Xiaojun <damage3025@gmail.com> wrote:
> You have latest ibus and ibus-table upstream release in unstable now.
>
> I just want to remind you guys that other components of IBus may need
> update also.
> For example latest upstream release of ibus-anthy is 1.5.0 while you
> have 1.2.x something.

Sure, it wasn't uploaded because I have to go and travel by train as
mentioned in my previous mail...

-- 
Regards,
Aron Xu



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Sat, 09 Feb 2013 06:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Sat, 09 Feb 2013 06:51:03 GMT) Full text and rfc822 format available.

Message #72 received at 700076@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: Norbert Preining <preining@logic.at>, 700076@bugs.debian.org
Subject: Re: [Pkg-ime-devel] Bug#700076: ibus: non-functional, setup breaks
Date: Sat, 9 Feb 2013 14:46:02 +0800
Hi,

The problem seems to be a easy one, just install gir1.2-ibus-1.0 and
ibus-setup/ibus-daemon will work without problem. I'll upload new
version very soon.

On Fri, Feb 8, 2013 at 5:40 PM, Norbert Preining <preining@logic.at> wrote:
> Package: ibus
> Version: 1.5.1-1
> Severity: grave
> Justification: renders package unusable
>
> Hi,
>
> I am trying to run ibus from experimental, but it does not work
> at all anymore. Ctrl-Space does not activate anything,
> LEFT clicking on the GNOME kbd indicator in the top bar does only
> show a small grey rectangle (2px by 10px or so).
>
> RIGHT clicking on the indicator an selecting preferences has no effect.
>
> RIGHT clicking and selecting restart has no effect.
>
> Starting
>         ibus-setup
> from the command line produces
>         ERROR:root:Could not find any typelib for IBus
>         Traceback (most recent call last):
>           File "/usr/share/ibus/setup/main.py", line 30, in <module>
>             from gi.repository import IBus
>         ImportError: cannot import name IBus
>
> In the syslog/dmesg I see
> traps: ibus-dconf[7263] trap int3 ip:7f91ae830491 sp:7fff79687c00 error:0
>
> Thanks
>
> Norbert
>
> -- System Information:
> Debian Release: 7.0
>   APT prefers unstable
>   APT policy: (500, 'unstable'), (200, 'experimental')
> Architecture: amd64 (x86_64)
>
> Kernel: Linux 3.8.0-rc6+ (SMP w/4 CPU cores; PREEMPT)
> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/bash
>
> Versions of packages ibus depends on:
> ii  dconf-gsettings-backend [gsettings-backend]  0.12.1-3
> ii  gnome-icon-theme                             3.4.0-2
> ii  libatk1.0-0                                  2.4.0-2
> ii  libc6                                        2.13-38
> ii  libdconf0                                    0.12.1-3
> ii  libgdk-pixbuf2.0-0                           2.26.1-1
> ii  libglib2.0-0                                 2.33.12+really2.32.4-5
> ii  libgtk-3-0                                   3.4.2-6
> ii  libgtk2.0-0                                  2.24.10-2
> ii  libibus-1.0-5                                1.5.1-1
> ii  libpango1.0-0                                1.30.0-1
> ii  librsvg2-common                              2.36.1-1
> ii  libx11-6                                     2:1.5.0-1
> ii  libxi6                                       2:1.6.1-1
> ii  python                                       2.7.3-3
> ii  python-ibus                                  1.5.1-1
> ii  python-notify                                0.1.1-3
> ii  python-xdg                                   0.19-5
>
> Versions of packages ibus recommends:
> ii  ibus-clutter           0.0+git20090728.a936bacf-5
> ii  ibus-gtk               1.5.1-1
> ii  ibus-gtk3              1.5.1-1
> ii  ibus-qt4               1.3.1-2.1
> ii  im-config [im-switch]  0.20
>
> Versions of packages ibus suggests:
> pn  ibus-doc  <none>
>
> -- no debconf information
>
> _______________________________________________
> Pkg-ime-devel mailing list
> Pkg-ime-devel@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-ime-devel



-- 
Regards,
Aron Xu



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Sat, 09 Feb 2013 06:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Sat, 09 Feb 2013 06:51:05 GMT) Full text and rfc822 format available.

Message #77 received at 700076@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: Osamu Aoki <osamu@debian.org>, 700076@bugs.debian.org
Cc: Toni Mueller <support@oeko.net>, Norbert Preining <preining@logic.at>
Subject: Re: [Pkg-ime-devel] Bug#700076: Bug#700076: ibus: non-functional, setup breaks
Date: Sat, 9 Feb 2013 14:49:32 +0800
Hi,

On Fri, Feb 8, 2013 at 6:42 PM, Osamu Aoki <osamu@debian.org> wrote:
> On Fri, Feb 08, 2013 at 11:12:40AM +0100, Toni Mueller wrote:
>>
>> Hi,
>>
>> On Fri, Feb 08, 2013 at 06:40:15PM +0900, Norbert Preining wrote:
>> > Package: ibus
>> > Version: 1.5.1-1
>>
>> a similar statement goes for the predecessor version,
>> 1.4.99.20120917-3. I get that same import error, too.
>>
>> I really hoped that 1.5.1 would fix, not exacerbate or continue,
>> the situation.
>>
>> I don't run Gnome, however - only a pure 'awesome', with no custom
>> configuration.
>
> This is somewhat expected complication which I am no expert to explain.
>
> Aron,
>
> What we need is a wiki.debian.org/ibus page which describes post-1.5
> migration howto.  I am sure you have already done some.
>
> Osamu

Thanks for the follow up! I'm looking for the possibility of automate
update to 1.5, and it seems to be OK. I'll write the migration howto
if that's not possible.


-- 
Regards,
Aron Xu



Added tag(s) pending and patch. Request was from Aron Xu <happyaron.xu@gmail.com> to control@bugs.debian.org. (Sat, 09 Feb 2013 06:51:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Sat, 09 Feb 2013 06:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Sat, 09 Feb 2013 06:54:04 GMT) Full text and rfc822 format available.

Message #84 received at 700076@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: Norbert Preining <preining@logic.at>, 700076@bugs.debian.org
Cc: Osamu Aoki <osamu@debian.org>, Toni Mueller <support@oeko.net>
Subject: Re: [Pkg-ime-devel] Bug#700076: Bug#700076: ibus: non-functional, setup breaks
Date: Sat, 9 Feb 2013 14:50:28 +0800
On Fri, Feb 8, 2013 at 8:24 PM, Norbert Preining <preining@logic.at> wrote:
> Dear all,
>
> thanks for taking care for that.
>
> On Fr, 08 Feb 2013, Osamu Aoki wrote:
>> This is somewhat expected complication which I am no expert to explain.
>>
>> Aron,
>>
>> What we need is a wiki.debian.org/ibus page which describes post-1.5
>> migration howto.  I am sure you have already done some.
>
> I see, but shouldn't that be taken care of automatically? If the
> upgrade needs user interaction of *every* user that looks like a big
> problem. If it is the sysadm who needs to change something, shouldn't
> this be done during postinst?
>
> And, what is it? I would like to get my Japanese input running again ;-)
>
> Thanks
>
> Norbert

Be a bit more patient, :-) I've started working on ibus-anthy already.

-- 
Regards,
Aron Xu



Removed indication that bug 700076 blocks 692453 Request was from Aron Xu <happyaron.xu@gmail.com> to control@bugs.debian.org. (Sat, 09 Feb 2013 06:57:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Sat, 09 Feb 2013 07:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Sat, 09 Feb 2013 07:24:03 GMT) Full text and rfc822 format available.

Message #91 received at 700076@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Aron Xu <happyaron.xu@gmail.com>
Cc: 700076@bugs.debian.org
Subject: Re: [Pkg-ime-devel] Bug#700076: ibus: non-functional, setup breaks
Date: Sat, 9 Feb 2013 16:22:15 +0900
Hi Aron,

thanks for your message.

On Sa, 09 Feb 2013, Aron Xu wrote:
> The problem seems to be a easy one, just install gir1.2-ibus-1.0 and
> ibus-setup/ibus-daemon will work without problem. I'll upload new
> version very soon.

No, I *have* gir1.2-ibus-1.0 installed and it does not work.
It is not that simple.

Norbert

------------------------------------------------------------------------
PREINING, Norbert                               http://www.preining.info
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Sat, 09 Feb 2013 07:30:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Sat, 09 Feb 2013 07:30:09 GMT) Full text and rfc822 format available.

Message #96 received at 700076@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Aron Xu <happyaron.xu@gmail.com>
Cc: Osamu Aoki <osamu@debian.org>, 700076@bugs.debian.org, Toni Mueller <support@oeko.net>
Subject: Re: [Pkg-ime-devel] Bug#700076: Bug#700076: ibus: non-functional, setup breaks
Date: Sat, 9 Feb 2013 16:25:19 +0900
Hi Aron,

On Sa, 09 Feb 2013, Aron Xu wrote:
> Thanks for the follow up! I'm looking for the possibility of automate
> update to 1.5, and it seems to be OK. I'll write the migration howto
> if that's not possible.

Great, thanks

> Be a bit more patient, :-) I've started working on ibus-anthy already.

Thanks that is great. In the meantime I have installed fcitx and at least
I can manually change input method in terminals etc, but that doesn't
work out of the box for iceweasel.

Anyway, I guess it will be fixed sooner or later.

Thanks for your work on that!

Norbert

------------------------------------------------------------------------
PREINING, Norbert                               http://www.preining.info
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Sat, 09 Feb 2013 07:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Sat, 09 Feb 2013 07:39:03 GMT) Full text and rfc822 format available.

Message #101 received at 700076@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Aron Xu <happyaron.xu@gmail.com>, 700076@bugs.debian.org
Subject: Re: Bug#700076: [Pkg-ime-devel] Bug#700076: ibus: non-functional, setup breaks
Date: Sat, 9 Feb 2013 16:35:25 +0900
Hi Aron,

On Sa, 09 Feb 2013, Aron Xu wrote:
> The problem seems to be a easy one, just install gir1.2-ibus-1.0 and
> ibus-setup/ibus-daemon will work without problem. I'll upload new
> version very soon.

I just saw in the git repo:
ibus (1.5.1-2) unstable; urgency=low

  * debian/control:
    _ ibus Depends on gir1.2-ibus-1.0 (Closes: #700076).

 -- Aron Xu <aron@debian.org>  Sat, 09 Feb 2013 14:58:41 +0800

Upf, no, as I said.

Norbert

------------------------------------------------------------------------
PREINING, Norbert                               http://www.preining.info
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Sat, 09 Feb 2013 08:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Sat, 09 Feb 2013 08:54:03 GMT) Full text and rfc822 format available.

Message #106 received at 700076@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: Norbert Preining <preining@logic.at>
Cc: 700076@bugs.debian.org
Subject: Re: Bug#700076: [Pkg-ime-devel] Bug#700076: ibus: non-functional, setup breaks
Date: Sat, 9 Feb 2013 16:50:23 +0800
On Sat, Feb 9, 2013 at 3:35 PM, Norbert Preining <preining@logic.at> wrote:
> Hi Aron,
>
> On Sa, 09 Feb 2013, Aron Xu wrote:
>> The problem seems to be a easy one, just install gir1.2-ibus-1.0 and
>> ibus-setup/ibus-daemon will work without problem. I'll upload new
>> version very soon.
>
> I just saw in the git repo:
> ibus (1.5.1-2) unstable; urgency=low
>
>   * debian/control:
>     _ ibus Depends on gir1.2-ibus-1.0 (Closes: #700076).
>
>  -- Aron Xu <aron@debian.org>  Sat, 09 Feb 2013 14:58:41 +0800
>
> Upf, no, as I said.
>
> Norbert
>

It's not the complete thing I would upload, sorry for not setting the
release to UNRELEASED...


-- 
Regards,
Aron Xu



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Sat, 09 Feb 2013 09:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Sat, 09 Feb 2013 09:33:03 GMT) Full text and rfc822 format available.

Message #111 received at 700076@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: Norbert Preining <preining@logic.at>
Cc: 700076@bugs.debian.org
Subject: Re: [Pkg-ime-devel] Bug#700076: Bug#700076: ibus: non-functional, setup breaks
Date: Sat, 9 Feb 2013 17:30:56 +0800
Hi Norbert,

Can you please try to run "dconf update" as root? As to see whether a
file named /etc/dconf/db/ibus get created.

Thank you.

On Sat, Feb 9, 2013 at 4:50 PM, Aron Xu <happyaron.xu@gmail.com> wrote:
> On Sat, Feb 9, 2013 at 3:35 PM, Norbert Preining <preining@logic.at> wrote:
>> Hi Aron,
>>
>> On Sa, 09 Feb 2013, Aron Xu wrote:
>>> The problem seems to be a easy one, just install gir1.2-ibus-1.0 and
>>> ibus-setup/ibus-daemon will work without problem. I'll upload new
>>> version very soon.
>>
>> I just saw in the git repo:
>> ibus (1.5.1-2) unstable; urgency=low
>>
>>   * debian/control:
>>     _ ibus Depends on gir1.2-ibus-1.0 (Closes: #700076).
>>
>>  -- Aron Xu <aron@debian.org>  Sat, 09 Feb 2013 14:58:41 +0800
>>
>> Upf, no, as I said.
>>
>> Norbert
>>
>
> It's not the complete thing I would upload, sorry for not setting the
> release to UNRELEASED...
>
>
> --
> Regards,
> Aron Xu
>
> _______________________________________________
> Pkg-ime-devel mailing list
> Pkg-ime-devel@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-ime-devel



-- 
Regards,
Aron Xu



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Sat, 09 Feb 2013 11:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Sat, 09 Feb 2013 11:18:05 GMT) Full text and rfc822 format available.

Message #116 received at 700076@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Aron Xu <happyaron.xu@gmail.com>, 700076@bugs.debian.org
Subject: Re: Bug#700076: [Pkg-ime-devel] Bug#700076: Bug#700076: ibus: non-functional, setup breaks
Date: Sat, 9 Feb 2013 20:16:18 +0900
Hi Aron,

On Sa, 09 Feb 2013, Aron Xu wrote:
> Can you please try to run "dconf update" as root? As to see whether a
> file named /etc/dconf/db/ibus get created.

Yes, I have now
	/etc/dconf/db/ibus
	/etc/dconf/db/ibus.d/00-upstream-settings
but ibus-setup still crashes:

[~] ibus-setup 
Traceback (most recent call last):
  File "/usr/share/ibus/setup/main.py", line 563, in <module>
    setup = Setup()
  File "/usr/share/ibus/setup/main.py", line 83, in __init__
    self.__init_ui()
  File "/usr/share/ibus/setup/main.py", line 247, in __init_ui
    self.__init_hotkey()
  File "/usr/share/ibus/setup/main.py", line 88, in __init_hotkey
    variant = self.__config.get_value('general/hotkey', name)
AttributeError: 'NoneType' object has no attribute 'get_value'


Norbert

------------------------------------------------------------------------
PREINING, Norbert                               http://www.preining.info
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Sat, 09 Feb 2013 11:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Sat, 09 Feb 2013 11:21:03 GMT) Full text and rfc822 format available.

Message #121 received at 700076@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: Norbert Preining <preining@logic.at>
Cc: 700076@bugs.debian.org
Subject: Re: Bug#700076: [Pkg-ime-devel] Bug#700076: Bug#700076: ibus: non-functional, setup breaks
Date: Sat, 9 Feb 2013 19:17:49 +0800
On Sat, Feb 9, 2013 at 7:16 PM, Norbert Preining <preining@logic.at> wrote:
> Hi Aron,
>
> On Sa, 09 Feb 2013, Aron Xu wrote:
>> Can you please try to run "dconf update" as root? As to see whether a
>> file named /etc/dconf/db/ibus get created.
>
> Yes, I have now
>         /etc/dconf/db/ibus
>         /etc/dconf/db/ibus.d/00-upstream-settings
> but ibus-setup still crashes:
>
> [~] ibus-setup
> Traceback (most recent call last):
>   File "/usr/share/ibus/setup/main.py", line 563, in <module>
>     setup = Setup()
>   File "/usr/share/ibus/setup/main.py", line 83, in __init__
>     self.__init_ui()
>   File "/usr/share/ibus/setup/main.py", line 247, in __init_ui
>     self.__init_hotkey()
>   File "/usr/share/ibus/setup/main.py", line 88, in __init_hotkey
>     variant = self.__config.get_value('general/hotkey', name)
> AttributeError: 'NoneType' object has no attribute 'get_value'
>

Yes, I pushed another patch to git, can you try it? I see no problem so far.

http://anonscm.debian.org/gitweb/?p=pkg-ime/ibus.git;a=blob;f=debian/patches/correct-type-of-shortcuts.patch;h=57da4f5342ecea88c653d0b08f6ec5788478f358;hb=HEAD


-- 
Regards,
Aron Xu



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Sat, 09 Feb 2013 11:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Sat, 09 Feb 2013 11:21:05 GMT) Full text and rfc822 format available.

Message #126 received at 700076@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Aron Xu <happyaron.xu@gmail.com>, 700076@bugs.debian.org
Subject: Re: Bug#700076: [Pkg-ime-devel] Bug#700076: Bug#700076: ibus: non-functional, setup breaks
Date: Sat, 9 Feb 2013 20:18:41 +0900
On Sa, 09 Feb 2013, Norbert Preining wrote:
> 	/etc/dconf/db/ibus
> 	/etc/dconf/db/ibus.d/00-upstream-settings

And on purge of ibus and friends, I see:
dpkg: warning: while removing ibus, directory '/etc/dconf/db' not empty so not removed

because /etc/dconf/db/ibus is still present

Norbert

------------------------------------------------------------------------
PREINING, Norbert                               http://www.preining.info
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Sat, 09 Feb 2013 11:45:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Sat, 09 Feb 2013 11:45:15 GMT) Full text and rfc822 format available.

Message #131 received at 700076@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Aron Xu <happyaron.xu@gmail.com>, 700076@bugs.debian.org
Subject: Re: Bug#700076: [Pkg-ime-devel] Bug#700076: Bug#700076: ibus: non-functional, setup breaks
Date: Sat, 9 Feb 2013 20:41:43 +0900
Hi Aron,

On Sa, 09 Feb 2013, Aron Xu wrote:
> Yes, I pushed another patch to git, can you try it? I see no problem so far.

getting better. I have now:
- ibus* 1.5.1-2~1
  (your version -2 from git)
- mozc* 1.6.1187.102-1~exp2.1
  (experimental version rebuild with ibus1.5)

ibus-setup is now working (yeah!), ibus-mozc also, so yeah, I think
that looks fine now.

But there are still three problems I see:
- when *left*clicking on the icon in the gnome top bar, a window pops up 
  which has two part:
	upper part: configuration for the input method
	lower part: list of input methods
  now when I have INternational kbd selcted, the upper part is empty, of course.
  When I have ibus-mozc selected, the upper part shows two menu items
  which expand to sub menus, BUT: the text in in the FIRST menu is 
  NOT visible. Screenshot attached.

- separate input methods for separate windows feature seems to got lost
  I have the same input method for all windows

- the ibus-mozc bar does not appear when I selected and activate the
  ibus-mozc input method. It showed the current settings, and access
  to settings etc

- (number four of three ;-) settings were not taken over, probably because
  I in the meantime purged all ibus. But I thought that are user settings
  and a purge of the packages will not loose the user settings.

I hope I didn't confuse you, if there are some things unclear in my 
explanation, please let me know

Norbert

------------------------------------------------------------------------
PREINING, Norbert                               http://www.preining.info
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Sat, 09 Feb 2013 12:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Sat, 09 Feb 2013 12:24:04 GMT) Full text and rfc822 format available.

Message #136 received at 700076@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: Norbert Preining <preining@logic.at>
Cc: 700076@bugs.debian.org
Subject: Re: Bug#700076: [Pkg-ime-devel] Bug#700076: Bug#700076: ibus: non-functional, setup breaks
Date: Sat, 9 Feb 2013 20:20:40 +0800
On Sat, Feb 9, 2013 at 7:41 PM, Norbert Preining <preining@logic.at> wrote:
> Hi Aron,
>
> On Sa, 09 Feb 2013, Aron Xu wrote:
>> Yes, I pushed another patch to git, can you try it? I see no problem so far.
>
> getting better. I have now:
> - ibus* 1.5.1-2~1
>   (your version -2 from git)
> - mozc* 1.6.1187.102-1~exp2.1
>   (experimental version rebuild with ibus1.5)
>
> ibus-setup is now working (yeah!), ibus-mozc also, so yeah, I think
> that looks fine now.
>

Good to know.

> But there are still three problems I see:
> - when *left*clicking on the icon in the gnome top bar, a window pops up
>   which has two part:
>         upper part: configuration for the input method
>         lower part: list of input methods
>   now when I have INternational kbd selcted, the upper part is empty, of course.
>   When I have ibus-mozc selected, the upper part shows two menu items
>   which expand to sub menus, BUT: the text in in the FIRST menu is
>   NOT visible. Screenshot attached.
>

Urh... Where's the screenshot?

> - separate input methods for separate windows feature seems to got lost
>   I have the same input method for all windows
>
> - the ibus-mozc bar does not appear when I selected and activate the
>   ibus-mozc input method. It showed the current settings, and access
>   to settings etc
>

I would like to know what desktop environment are you using? This
could be related to the ibus integration if you are using GNOME   ,
IMHO.

> - (number four of three ;-) settings were not taken over, probably because
>   I in the meantime purged all ibus. But I thought that are user settings
>   and a purge of the packages will not loose the user settings.
>

This is expected, as in 1.5 we are moving from gconf to dconf, there
is no configuration migration from upstream, all previous user
configurations will lost.

> I hope I didn't confuse you, if there are some things unclear in my
> explanation, please let me know
>
> Norbert

Thank you. I'm also looking into dealing with the /etc/dconf/db/ibus
in maintainer scripts.



-- 
Regards,
Aron Xu



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Sat, 09 Feb 2013 12:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <pravi.a@gmail.com>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Sat, 09 Feb 2013 12:30:06 GMT) Full text and rfc822 format available.

Message #141 received at 700076@bugs.debian.org (full text, mbox):

From: Praveen A <pravi.a@gmail.com>
To: Aron Xu <happyaron.xu@gmail.com>, 700076@bugs.debian.org
Cc: Norbert Preining <preining@logic.at>
Subject: Re: [Pkg-ime-devel] Bug#700076: Bug#700076: Bug#700076: ibus: non-functional, setup breaks
Date: Sat, 9 Feb 2013 17:58:13 +0530
2013/2/9 Aron Xu <happyaron.xu@gmail.com>:
> Yes, I pushed another patch to git, can you try it? I see no problem so far.
>
> http://anonscm.debian.org/gitweb/?p=pkg-ime/ibus.git;a=blob;f=debian/patches/correct-type-of-shortcuts.patch;h=57da4f5342ecea88c653d0b08f6ec5788478f358;hb=HEAD

I did a rebuild and ibus-setup doesn't work with my locale. It worked
after changing locale to en_IN

$ ibus-setup

(main.py:28077): IBUS-WARNING **:
org.freedesktop.IBus.Config.GetValue:
GDBus.Error:org.freedesktop.DBus.Error.Failed: Config value
[general/hotkey:triggers] does not exist.
Traceback (most recent call last):
  File "/usr/share/ibus/setup/main.py", line 563, in <module>
    setup = Setup()
  File "/usr/share/ibus/setup/main.py", line 83, in __init__
    self.__init_ui()
  File "/usr/share/ibus/setup/main.py", line 249, in __init_ui
    self.__init_general()
  File "/usr/share/ibus/setup/main.py", line 196, in __init_general
    self.__combobox.set_engines(self.__engines)
  File "/usr/share/ibus/setup/enginecombobox.py", line 77, in set_engines
    loc = locale.getlocale()[0]
  File "/usr/lib/python2.7/locale.py", line 530, in getlocale
    return _parse_localename(localename)
  File "/usr/lib/python2.7/locale.py", line 443, in _parse_localename
    raise ValueError, 'unknown locale: %s' % localename
ValueError: unknown locale: ml_IN
pravi@savannah:~/Downloads/debian$ LANG=en_IN ibus-setup

(main.py:28086): IBUS-WARNING **:
org.freedesktop.IBus.Config.GetValue:
GDBus.Error:org.freedesktop.DBus.Error.Failed: Config value
[general/hotkey:triggers] does not exist.
$

-- 
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your
rights from them; you give them permission to rule, only so long as
they follow the rules: laws and constitution.



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Sat, 09 Feb 2013 12:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Sat, 09 Feb 2013 12:39:03 GMT) Full text and rfc822 format available.

Message #146 received at 700076@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: Praveen A <pravi.a@gmail.com>
Cc: 700076@bugs.debian.org, Norbert Preining <preining@logic.at>
Subject: Re: [Pkg-ime-devel] Bug#700076: Bug#700076: Bug#700076: ibus: non-functional, setup breaks
Date: Sat, 9 Feb 2013 20:36:25 +0800
On Sat, Feb 9, 2013 at 8:28 PM, Praveen A <pravi.a@gmail.com> wrote:
> 2013/2/9 Aron Xu <happyaron.xu@gmail.com>:
>> Yes, I pushed another patch to git, can you try it? I see no problem so far.
>>
>> http://anonscm.debian.org/gitweb/?p=pkg-ime/ibus.git;a=blob;f=debian/patches/correct-type-of-shortcuts.patch;h=57da4f5342ecea88c653d0b08f6ec5788478f358;hb=HEAD
>
> I did a rebuild and ibus-setup doesn't work with my locale. It worked
> after changing locale to en_IN
>

You forgot to tell me what's your locale - the one that doesn't work, ;-)

Also I'd like to know what's your desktop environment, though it could
be not directly related to this error.



-- 
Regards,
Aron Xu



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Sat, 09 Feb 2013 12:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <pravi.a@gmail.com>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Sat, 09 Feb 2013 12:48:03 GMT) Full text and rfc822 format available.

Message #151 received at 700076@bugs.debian.org (full text, mbox):

From: Praveen A <pravi.a@gmail.com>
To: Aron Xu <happyaron.xu@gmail.com>
Cc: 700076@bugs.debian.org, Norbert Preining <preining@logic.at>
Subject: Re: [Pkg-ime-devel] Bug#700076: Bug#700076: Bug#700076: ibus: non-functional, setup breaks
Date: Sat, 9 Feb 2013 18:14:50 +0530
2013/2/9 Aron Xu <happyaron.xu@gmail.com>:
> You forgot to tell me what's your locale - the one that doesn't work, ;-)

My locale is ml_IN (it was in the log - ValueError: unknown locale: ml_IN).

Now it is failing even with en_IN

$ LANG=en_IN ibus-setup
Traceback (most recent call last):
  File "/usr/share/ibus/setup/main.py", line 563, in <module>
    setup = Setup()
  File "/usr/share/ibus/setup/main.py", line 83, in __init__
    self.__init_ui()
  File "/usr/share/ibus/setup/main.py", line 247, in __init_ui
    self.__init_hotkey()
  File "/usr/share/ibus/setup/main.py", line 88, in __init_hotkey
    variant = self.__config.get_value('general/hotkey', name)
AttributeError: 'NoneType' object has no attribute 'get_value'

> Also I'd like to know what's your desktop environment, though it could
> be not directly related to this error.

I'm using gnome 3.8 from experimental.
-- 
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your
rights from them; you give them permission to rule, only so long as
they follow the rules: laws and constitution.



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Sat, 09 Feb 2013 14:33:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Sat, 09 Feb 2013 14:33:14 GMT) Full text and rfc822 format available.

Message #156 received at 700076@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: Praveen A <pravi.a@gmail.com>
Cc: 700076@bugs.debian.org
Subject: Re: [Pkg-ime-devel] Bug#700076: Bug#700076: Bug#700076: ibus: non-functional, setup breaks
Date: Sat, 9 Feb 2013 22:24:18 +0800
On Sat, Feb 9, 2013 at 8:44 PM, Praveen A <pravi.a@gmail.com> wrote:
> 2013/2/9 Aron Xu <happyaron.xu@gmail.com>:
>> You forgot to tell me what's your locale - the one that doesn't work, ;-)
>
> My locale is ml_IN (it was in the log - ValueError: unknown locale: ml_IN).
>
> Now it is failing even with en_IN
>
> $ LANG=en_IN ibus-setup
> Traceback (most recent call last):
>   File "/usr/share/ibus/setup/main.py", line 563, in <module>
>     setup = Setup()
>   File "/usr/share/ibus/setup/main.py", line 83, in __init__
>     self.__init_ui()
>   File "/usr/share/ibus/setup/main.py", line 247, in __init_ui
>     self.__init_hotkey()
>   File "/usr/share/ibus/setup/main.py", line 88, in __init_hotkey
>     variant = self.__config.get_value('general/hotkey', name)
> AttributeError: 'NoneType' object has no attribute 'get_value'
>

Do you have gir1.2-ibus-1.0 installed? This time the error should be
related to locale, IMHO.

>> Also I'd like to know what's your desktop environment, though it could
>> be not directly related to this error.
>
> I'm using gnome 3.8 from experimental.

Thanks.


-- 
Regards,
Aron Xu



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Sat, 09 Feb 2013 18:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Sat, 09 Feb 2013 18:24:03 GMT) Full text and rfc822 format available.

Message #161 received at 700076@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Aron Xu <happyaron.xu@gmail.com>
Cc: 700076@bugs.debian.org
Subject: Re: Bug#700076: [Pkg-ime-devel] Bug#700076: Bug#700076: ibus: non-functional, setup breaks
Date: Sun, 10 Feb 2013 03:21:35 +0900
[Message part 1 (text/plain, inline)]
On Sa, 09 Feb 2013, Aron Xu wrote:
> > But there are still three problems I see:
> > - when *left*clicking on the icon in the gnome top bar, a window pops up
> >   which has two part:
> >         upper part: configuration for the input method
> >         lower part: list of input methods
> >   now when I have INternational kbd selcted, the upper part is empty, of course.
> >   When I have ibus-mozc selected, the upper part shows two menu items
> >   which expand to sub menus, BUT: the text in in the FIRST menu is
> >   NOT visible. Screenshot attached.
> >
> 
> Urh... Where's the screenshot?

Sorry, as usual ... now!

> > - separate input methods for separate windows feature seems to got lost
> >   I have the same input method for all windows
> >
> > - the ibus-mozc bar does not appear when I selected and activate the
> >   ibus-mozc input method. It showed the current settings, and access
> >   to settings etc
> >
> 
> I would like to know what desktop environment are you using? This
> could be related to the ibus integration if you are using GNOME   ,
> IMHO.

Gnome3 from Debian/unstable.

> This is expected, as in 1.5 we are moving from gconf to dconf, there
> is no configuration migration from upstream, all previous user
> configurations will lost.

Fine with me.

Norbert

------------------------------------------------------------------------
PREINING, Norbert                               http://www.preining.info
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------
[screenshot_001.png (image/png, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Sat, 09 Feb 2013 18:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Sat, 09 Feb 2013 18:54:03 GMT) Full text and rfc822 format available.

Message #166 received at 700076@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Aron Xu <happyaron.xu@gmail.com>, 700076@bugs.debian.org
Subject: Re: Bug#700076: [Pkg-ime-devel] Bug#700076: ibus: non-functional, setup breaks
Date: Sat, 9 Feb 2013 19:51:15 +0100
[Message part 1 (text/plain, inline)]
On Sat, Feb  9, 2013 at 00:42:29 +0800, Aron Xu wrote:

> Thanks for the report, I was on train when I first saw the report,
> I'll deal with it very soon.
> 
Why was that thing uploaded to sid anyway...  We're in the middle of a
freeze, breaking sid is not particularly helpful...

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Sat, 09 Feb 2013 19:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Sat, 09 Feb 2013 19:06:03 GMT) Full text and rfc822 format available.

Message #171 received at 700076@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Julien Cristau <jcristau@debian.org>, 700076@bugs.debian.org
Cc: Aron Xu <happyaron.xu@gmail.com>
Subject: Re: Bug#700076: [Pkg-ime-devel] Bug#700076: ibus: non-functional, setup breaks
Date: Sun, 10 Feb 2013 04:01:52 +0900
On Sa, 09 Feb 2013, Julien Cristau wrote:
> Why was that thing uploaded to sid anyway...  We're in the middle of a
> freeze, breaking sid is not particularly helpful...

Breaking sid has no connection to freeze and release, if the maintainer
do not plan to ask for a freeze exception.

Don't go overboard, bugs against sid are not RC bugs, and thus 
irrelevant to the release.

Norbert

------------------------------------------------------------------------
PREINING, Norbert                               http://www.preining.info
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Sat, 09 Feb 2013 19:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Sat, 09 Feb 2013 19:21:03 GMT) Full text and rfc822 format available.

Message #176 received at 700076@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Norbert Preining <preining@logic.at>, 700076@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>, Aron Xu <happyaron.xu@gmail.com>
Subject: Re: Bug#700076: [Pkg-ime-devel] Bug#700076: ibus: non-functional, setup breaks
Date: Sat, 09 Feb 2013 19:17:52 +0000
On Sun, 2013-02-10 at 04:01 +0900, Norbert Preining wrote:
> On Sa, 09 Feb 2013, Julien Cristau wrote:
> > Why was that thing uploaded to sid anyway...  We're in the middle of a
> > freeze, breaking sid is not particularly helpful...
> 
> Breaking sid has no connection to freeze and release, if the maintainer
> do not plan to ask for a freeze exception.

It might be an issue for the release if any of the reverse dependencies
need an update for some other reason, given that the new ibus upload
changes SONAME..,

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Sat, 09 Feb 2013 20:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <pravi.a@gmail.com>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Sat, 09 Feb 2013 20:15:06 GMT) Full text and rfc822 format available.

Message #181 received at 700076@bugs.debian.org (full text, mbox):

From: Praveen A <pravi.a@gmail.com>
To: Aron Xu <happyaron.xu@gmail.com>
Cc: 700076@bugs.debian.org
Subject: Re: [Pkg-ime-devel] Bug#700076: Bug#700076: Bug#700076: ibus: non-functional, setup breaks
Date: Sun, 10 Feb 2013 01:41:45 +0530
2013/2/9 Aron Xu <happyaron.xu@gmail.com>:
> Do you have gir1.2-ibus-1.0 installed? This time the error should be
> related to locale, IMHO.

yes, I have it installed. I installed the version I built from git,
but I get the same error.

-- 
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your
rights from them; you give them permission to rule, only so long as
they follow the rules: laws and constitution.



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Sun, 10 Feb 2013 00:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Sun, 10 Feb 2013 00:03:03 GMT) Full text and rfc822 format available.

Message #186 received at 700076@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 700076@bugs.debian.org, Julien Cristau <jcristau@debian.org>, Aron Xu <happyaron.xu@gmail.com>
Subject: Re: Bug#700076: [Pkg-ime-devel] Bug#700076: ibus: non-functional, setup breaks
Date: Sun, 10 Feb 2013 08:59:59 +0900
On Sa, 09 Feb 2013, Adam D. Barratt wrote:
> It might be an issue for the release if any of the reverse dependencies
> need an update for some other reason, given that the new ibus upload
> changes SONAME..,

Ok, conceeded. Indeed in this case upload to experimental would have been
better.

Norbert

------------------------------------------------------------------------
PREINING, Norbert                               http://www.preining.info
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Sun, 10 Feb 2013 03:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Sun, 10 Feb 2013 03:09:06 GMT) Full text and rfc822 format available.

Message #191 received at 700076@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: Norbert Preining <preining@logic.at>
Cc: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 700076@bugs.debian.org, Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#700076: [Pkg-ime-devel] Bug#700076: ibus: non-functional, setup breaks
Date: Sun, 10 Feb 2013 11:04:47 +0800
On Sun, Feb 10, 2013 at 7:59 AM, Norbert Preining <preining@logic.at> wrote:
> On Sa, 09 Feb 2013, Adam D. Barratt wrote:
>> It might be an issue for the release if any of the reverse dependencies
>> need an update for some other reason, given that the new ibus upload
>> changes SONAME..,
>
> Ok, conceeded. Indeed in this case upload to experimental would have been
> better.
>


Rational is that I've observed quite some users starting to use
packages converted from rpm using alien because they have been waiting
too long. At the same time uploading to experimental helps very little
for testing (as I've already done for 1.4.99*) because when it breaks
people think that's normal. This is a shame, I'd like to change it.



-- 
Regards,
Aron Xu



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Sun, 10 Feb 2013 08:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Sun, 10 Feb 2013 08:12:04 GMT) Full text and rfc822 format available.

Message #196 received at 700076@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: Norbert Preining <preining@logic.at>
Cc: 700076@bugs.debian.org
Subject: Re: Bug#700076: [Pkg-ime-devel] Bug#700076: Bug#700076: ibus: non-functional, setup breaks
Date: Sun, 10 Feb 2013 16:09:29 +0800
On Sun, Feb 10, 2013 at 2:21 AM, Norbert Preining <preining@logic.at> wrote:
> On Sa, 09 Feb 2013, Aron Xu wrote:
>> > But there are still three problems I see:
>> > - when *left*clicking on the icon in the gnome top bar, a window pops up
>> >   which has two part:
>> >         upper part: configuration for the input method
>> >         lower part: list of input methods
>> >   now when I have INternational kbd selcted, the upper part is empty, of course.
>> >   When I have ibus-mozc selected, the upper part shows two menu items
>> >   which expand to sub menus, BUT: the text in in the FIRST menu is
>> >   NOT visible. Screenshot attached.
>> >
>>
>> Urh... Where's the screenshot?
>
> Sorry, as usual ... now!
>
>> > - separate input methods for separate windows feature seems to got lost
>> >   I have the same input method for all windows
>> >
>> > - the ibus-mozc bar does not appear when I selected and activate the
>> >   ibus-mozc input method. It showed the current settings, and access
>> >   to settings etc
>> >
>>
>> I would like to know what desktop environment are you using? This
>> could be related to the ibus integration if you are using GNOME   ,
>> IMHO.
>
> Gnome3 from Debian/unstable.
>

I think this could be related, ibus 1.4.x does nothing with GNOME ibus
integration, but ibus 1.5.x does. I'll ask my partner to verify this.



-- 
Regards,
Aron Xu



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Sun, 10 Feb 2013 16:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to YunQiang Su <wzssyqa@gmail.com>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Sun, 10 Feb 2013 16:18:03 GMT) Full text and rfc822 format available.

Message #201 received at 700076@bugs.debian.org (full text, mbox):

From: YunQiang Su <wzssyqa@gmail.com>
To: Aron Xu <happyaron.xu@gmail.com>, 700076@bugs.debian.org
Cc: Norbert Preining <preining@logic.at>
Subject: Re: [Pkg-ime-devel] Bug#700076: Bug#700076: Bug#700076: ibus: non-functional, setup breaks
Date: Mon, 11 Feb 2013 00:14:50 +0800
This will happen when ibus-daemon is running while ibus-dconf not.

On Sun, Feb 10, 2013 at 4:09 PM, Aron Xu <happyaron.xu@gmail.com> wrote:
> On Sun, Feb 10, 2013 at 2:21 AM, Norbert Preining <preining@logic.at> wrote:
>> On Sa, 09 Feb 2013, Aron Xu wrote:
>>> > But there are still three problems I see:
>>> > - when *left*clicking on the icon in the gnome top bar, a window pops up
>>> >   which has two part:
>>> >         upper part: configuration for the input method
>>> >         lower part: list of input methods
>>> >   now when I have INternational kbd selcted, the upper part is empty, of course.
>>> >   When I have ibus-mozc selected, the upper part shows two menu items
>>> >   which expand to sub menus, BUT: the text in in the FIRST menu is
>>> >   NOT visible. Screenshot attached.
>>> >
>>>
>>> Urh... Where's the screenshot?
>>
>> Sorry, as usual ... now!
>>
>>> > - separate input methods for separate windows feature seems to got lost
>>> >   I have the same input method for all windows
>>> >
>>> > - the ibus-mozc bar does not appear when I selected and activate the
>>> >   ibus-mozc input method. It showed the current settings, and access
>>> >   to settings etc
>>> >
>>>
>>> I would like to know what desktop environment are you using? This
>>> could be related to the ibus integration if you are using GNOME   ,
>>> IMHO.
>>
>> Gnome3 from Debian/unstable.
>>
>
> I think this could be related, ibus 1.4.x does nothing with GNOME ibus
> integration, but ibus 1.5.x does. I'll ask my partner to verify this.
>
This will happen when ibus-daemon is running while ibus-dconf not.
So to generate /etc/dconf/db/ibus in postinst can solve this problem.

For upstream, a better solution may be to read with glib api, write
with dconf-service.
>
>
> --
> Regards,
> Aron Xu
>
> _______________________________________________
> Pkg-ime-devel mailing list
> Pkg-ime-devel@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-ime-devel



--
YunQiang Su



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Sun, 10 Feb 2013 17:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Changwoo Ryu <cwryu@debian.org>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Sun, 10 Feb 2013 17:36:03 GMT) Full text and rfc822 format available.

Message #206 received at 700076@bugs.debian.org (full text, mbox):

From: Changwoo Ryu <cwryu@debian.org>
To: 700076@bugs.debian.org
Subject: Re: [Pkg-ime-devel] Bug#700076: Bug#700076: Bug#700076: ibus: non-functional, setup breaks
Date: Mon, 11 Feb 2013 02:32:28 +0900
2013/2/9 Aron Xu <happyaron.xu@gmail.com>:
> Hi Norbert,
>
> Can you please try to run "dconf update" as root? As to see whether a
> file named /etc/dconf/db/ibus get created.

After running "dconf update" I got a new kind of crash:

$ ibus-setup
Traceback (most recent call last):
  File "/usr/share/ibus/setup/main.py", line 563, in <module>
    setup = Setup()
  File "/usr/share/ibus/setup/main.py", line 83, in __init__
    self.__init_ui()
  File "/usr/share/ibus/setup/main.py", line 247, in __init_ui
    self.__init_hotkey()
  File "/usr/share/ibus/setup/main.py", line 96, in __init_hotkey
    entry.set_text("; ".join(shortcuts))
TypeError: sequence item 0: expected string, list found
$

It depends on the behavior of python-gobject 3.4.x in experimental.

A workaround is to use the patch by Fedora guys:

https://bugzilla.redhat.com/show_bug.cgi?id=854161
https://bugzilla.redhat.com/attachment.cgi?id=611688



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Sun, 10 Feb 2013 17:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Sun, 10 Feb 2013 17:51:03 GMT) Full text and rfc822 format available.

Message #211 received at 700076@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: Changwoo Ryu <cwryu@debian.org>, 700076@bugs.debian.org
Subject: Re: [Pkg-ime-devel] Bug#700076: Bug#700076: Bug#700076: Bug#700076: ibus: non-functional, setup breaks
Date: Mon, 11 Feb 2013 01:46:10 +0800
On Mon, Feb 11, 2013 at 02:32:28AM +0900, Changwoo Ryu wrote:
> 
> It depends on the behavior of python-gobject 3.4.x in experimental.
> 
> A workaround is to use the patch by Fedora guys:
> 
> https://bugzilla.redhat.com/show_bug.cgi?id=854161
> https://bugzilla.redhat.com/attachment.cgi?id=611688
> 

Thanks for the links, the first one has been done in git yesterday, I
haven't looked the second one before.

During testing we found another problem in 1.5, not critical but quite
ugly, that is it depends on dconf-service to read for configuration, but
dconf-service isn't available at all time. A direct result is that if
you have installed ibus using apt-get, then you must log out and
re-login to the desktop environment, so that during the initialization
process of DE dconf-service is very likely to exist, and ibus can
suceed in reading from it.

-- 
Regards,
Aron Xu



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Tue, 12 Feb 2013 08:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Tue, 12 Feb 2013 08:06:03 GMT) Full text and rfc822 format available.

Message #216 received at 700076@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Aron Xu <happyaron.xu@gmail.com>, 700076@bugs.debian.org
Cc: Changwoo Ryu <cwryu@debian.org>
Subject: Re: Bug#700076: [Pkg-ime-devel] Bug#700076: Bug#700076: Bug#700076: Bug#700076: ibus: non-functional, setup breaks
Date: Tue, 12 Feb 2013 17:02:01 +0900
Hi Aron,

one more bug I found ... iceweasel/firefox ignores the current ibus plugin.
It works in sakura/gnome-term etc, but not in iceweasel.

It really seems that this ibus 1.5 was not tested *at*all*???

Norbert

------------------------------------------------------------------------
PREINING, Norbert                               http://www.preining.info
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Tue, 12 Feb 2013 09:30:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Tue, 12 Feb 2013 09:30:07 GMT) Full text and rfc822 format available.

Message #221 received at 700076@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: Norbert Preining <preining@logic.at>
Cc: 700076@bugs.debian.org
Subject: Re: Bug#700076: [Pkg-ime-devel] Bug#700076: Bug#700076: Bug#700076: Bug#700076: ibus: non-functional, setup breaks
Date: Tue, 12 Feb 2013 17:27:58 +0800
Hi Norbert,

On Tue, Feb 12, 2013 at 4:02 PM, Norbert Preining <preining@logic.at> wrote:
> Hi Aron,
>
> one more bug I found ... iceweasel/firefox ignores the current ibus plugin.
> It works in sakura/gnome-term etc, but not in iceweasel.
>

Thanks for catching the issue.

> It really seems that this ibus 1.5 was not tested *at*all*???
>

Frankly, I haven't tested it in very detail since Fedora 18 has been
released with this version. But it turns out that 1.5.1 (already an
update to 1.5) is still not quite working, let's try to figure issues
out and work with upstream for fixes.



-- 
Regards,
Aron Xu



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Tue, 12 Feb 2013 09:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Tue, 12 Feb 2013 09:51:03 GMT) Full text and rfc822 format available.

Message #226 received at 700076@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Aron Xu <happyaron.xu@gmail.com>, "700076@bugs.debian.org" <700076@bugs.debian.org>
Cc: "700076@bugs.debian.org" <700076@bugs.debian.org>
Subject: Re: Bug#700076: [Pkg-ime-devel] ibus: non-functional, setup breaks
Date: Tue, 12 Feb 2013 18:54:35 +0900
Hi Aron,

> Frankly, I haven't tested it in very detail since Fedora 18 has been
> released with this version.

Oh, surprise. I guess we should look into the patches fedora applies, they wouldn't ship it as it, or?

If I can do anything let me know

Norbert


Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Tue, 12 Feb 2013 15:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Tue, 12 Feb 2013 15:36:03 GMT) Full text and rfc822 format available.

Message #231 received at 700076@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: Norbert Preining <preining@logic.at>
Cc: "700076@bugs.debian.org" <700076@bugs.debian.org>
Subject: Re: Bug#700076: [Pkg-ime-devel] ibus: non-functional, setup breaks
Date: Tue, 12 Feb 2013 23:32:36 +0800
On Tue, Feb 12, 2013 at 5:54 PM, Norbert Preining <preining@logic.at> wrote:
> Hi Aron,
>
>> Frankly, I haven't tested it in very detail since Fedora 18 has been
>> released with this version.
>
> Oh, surprise. I guess we should look into the patches fedora applies, they wouldn't ship it as it, or?
>
> If I can do anything let me know
>
> Norbert

Yes, I'm surprised when it actually breaks like this... And after
asking some Chinese users of F18 they said it's very hard to get it
work, sadly.

It seems to be quite difficult to deal with current situation after my
checking into details of the whole stack because, ibus 1.5 series
depends extensively on gobject technology, but due to the nature of
input method - it need to work with all reasonable combination of the
libraries/applications, we may need to patch everything to make it
actually work for every certain situations (think about Sid,
experimental and Ubuntu). I have verified that current git master does
not work on Ubuntu Raring at all, it just throw out tons of errors and
eventually crashes. This is not something wanted, and I don't think
fixing it in this way is feasible.

A possible solution is to revert everything back to ibus 1.4.2 series
and keep supporting it, and it will be supported by mainstream
distribution maintainers until ibus upstream release a reasonable
version. If you agree then I can start doing it. An alternative
solution is to try to fix as much as possible, but I bet users will
suffer.

What do you think?


-- 
Regards,
Aron Xu



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Tue, 12 Feb 2013 16:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ma Xiaojun <damage3025@gmail.com>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Tue, 12 Feb 2013 16:21:05 GMT) Full text and rfc822 format available.

Message #236 received at 700076@bugs.debian.org (full text, mbox):

From: Ma Xiaojun <damage3025@gmail.com>
To: Aron Xu <happyaron.xu@gmail.com>, 700076@bugs.debian.org
Cc: Norbert Preining <preining@logic.at>
Subject: Re: [Pkg-ime-devel] Bug#700076: ibus: non-functional, setup breaks
Date: Wed, 13 Feb 2013 00:19:08 +0800
Hi, all.

FYI, manually compiled IBus 1.5.0 works fine on my Ubuntu 12.10 box
(with MATE as DE); I have used that box for many days.

For errors like "ERROR:root:Could not find any typelib for IBus"
Have you installed GI stuff properly?
Have you got "gir1.2-ibus-1.0" installed?



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Tue, 12 Feb 2013 22:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Tue, 12 Feb 2013 22:21:03 GMT) Full text and rfc822 format available.

Message #241 received at 700076@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Ma Xiaojun <damage3025@gmail.com>, 700076@bugs.debian.org
Cc: Aron Xu <happyaron.xu@gmail.com>
Subject: Re: Bug#700076: [Pkg-ime-devel] Bug#700076: ibus: non-functional, setup breaks
Date: Wed, 13 Feb 2013 07:18:23 +0900
Hi Ma,

On Mi, 13 Feb 2013, Ma Xiaojun wrote:
> FYI, manually compiled IBus 1.5.0 works fine on my Ubuntu 12.10 box
> (with MATE as DE); I have used that box for many days.

- separate IME for different windows is working?
- did you try gnome3 (gnome-shell)?

Norbert

------------------------------------------------------------------------
PREINING, Norbert                               http://www.preining.info
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Tue, 12 Feb 2013 22:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Tue, 12 Feb 2013 22:24:03 GMT) Full text and rfc822 format available.

Message #246 received at 700076@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Aron Xu <happyaron.xu@gmail.com>, 700076@bugs.debian.org
Subject: Re: Bug#700076: [Pkg-ime-devel] ibus: non-functional, setup breaks
Date: Wed, 13 Feb 2013 07:21:47 +0900
Hi Aron,

On Di, 12 Feb 2013, Aron Xu wrote:
> It seems to be quite difficult to deal with current situation after my
> checking into details of the whole stack because, ibus 1.5 series
> depends extensively on gobject technology, but due to the nature of

What does upstream say to this problem?
Do you have contact with upstream? Good one?
They must be aware that there are problems with gnome3, aren't they?

> A possible solution is to revert everything back to ibus 1.4.2 series
> and keep supporting it, and it will be supported by mainstream

Less advisable if possible in any way. But it depends on upstream
and their willingness to work on the problems.


Norbert

------------------------------------------------------------------------
PREINING, Norbert                               http://www.preining.info
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------



Set Bug forwarded-to-address to 'http://code.google.com/p/ibus/issues/detail?id=1591'. Request was from Norbert Preining <preining@logic.at> to control@bugs.debian.org. (Wed, 13 Feb 2013 01:51:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Wed, 13 Feb 2013 05:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Wed, 13 Feb 2013 05:33:03 GMT) Full text and rfc822 format available.

Message #253 received at 700076@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: Norbert Preining <preining@logic.at>
Cc: Ma Xiaojun <damage3025@gmail.com>, 700076@bugs.debian.org
Subject: Re: Bug#700076: [Pkg-ime-devel] Bug#700076: ibus: non-functional, setup breaks
Date: Wed, 13 Feb 2013 13:30:23 +0800
On Wed, Feb 13, 2013 at 6:18 AM, Norbert Preining <preining@logic.at> wrote:
> Hi Ma,
>
> On Mi, 13 Feb 2013, Ma Xiaojun wrote:
>> FYI, manually compiled IBus 1.5.0 works fine on my Ubuntu 12.10 box
>> (with MATE as DE); I have used that box for many days.
>
> - separate IME for different windows is working?

AFAIK this feature is removed, but not simply caused by bug.


-- 
Regards,
Aron Xu



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Wed, 13 Feb 2013 05:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Wed, 13 Feb 2013 05:51:03 GMT) Full text and rfc822 format available.

Message #258 received at 700076@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Aron Xu <happyaron.xu@gmail.com>, 700076@bugs.debian.org
Cc: Ma Xiaojun <damage3025@gmail.com>
Subject: Re: Bug#700076: [Pkg-ime-devel] Bug#700076: ibus: non-functional, setup breaks
Date: Wed, 13 Feb 2013 14:46:07 +0900
On Mi, 13 Feb 2013, Aron Xu wrote:
> > - separate IME for different windows is working?
> 
> AFAIK this feature is removed, but not simply caused by bug.

Ok, maybe I was wrong with my explanation: What about the
	*activation*status*
of the IME? Before I had the option to have some windows with Japanese
input, and some with system kbd.

Is this really gone? (BTW, even if they remove it, I would consider
it a bug that should be reintroduced upstream )

Norbert

------------------------------------------------------------------------
PREINING, Norbert                               http://www.preining.info
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Wed, 13 Feb 2013 05:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ma Xiaojun <damage3025@gmail.com>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Wed, 13 Feb 2013 05:57:03 GMT) Full text and rfc822 format available.

Message #263 received at 700076@bugs.debian.org (full text, mbox):

From: Ma Xiaojun <damage3025@gmail.com>
To: Norbert Preining <preining@logic.at>
Cc: Aron Xu <happyaron.xu@gmail.com>, 700076@bugs.debian.org
Subject: Re: Bug#700076: [Pkg-ime-devel] Bug#700076: ibus: non-functional, setup breaks
Date: Wed, 13 Feb 2013 13:55:11 +0800
On Wed, Feb 13, 2013 at 1:46 PM, Norbert Preining <preining@logic.at> wrote:
> Is this really gone? (BTW, even if they remove it, I would consider
> it a bug that should be reintroduced upstream )

Yes.
http://code.google.com/p/ibus/issues/detail?id=1568

But GNOME blog says such feature is reintroduced in GNOME 3.7.4, not
verified by any means.
http://blogs.gnome.org/mclasen/2013/01/14/input-sources-in-gnome-3-7-4-continued/



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Wed, 13 Feb 2013 07:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Wed, 13 Feb 2013 07:06:03 GMT) Full text and rfc822 format available.

Message #268 received at 700076@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Ma Xiaojun <damage3025@gmail.com>
Cc: Aron Xu <happyaron.xu@gmail.com>, 700076@bugs.debian.org
Subject: Re: Bug#700076: [Pkg-ime-devel] Bug#700076: ibus: non-functional, setup breaks
Date: Wed, 13 Feb 2013 16:04:21 +0900
Hi Ma,

thanks for your email, good research, horrible reading
(GNome devs are *sick*, removing features without understanding
their imprtance)

On Mi, 13 Feb 2013, Ma Xiaojun wrote:
> On Wed, Feb 13, 2013 at 1:46 PM, Norbert Preining <preining@logic.at> wrote:
> > Is this really gone? (BTW, even if they remove it, I would consider
> > it a bug that should be reintroduced upstream )
> 
> Yes.
> http://code.google.com/p/ibus/issues/detail?id=1568

Yeah, but this is ALL about gnome 3.6, but we are
discussing here Debian/unstable for now, that menas
	gnome 3.4
	ibus 1.5
at the moment.

It seems, from my reading of that bug report
https://bugzilla.gnome.org/show_bug.cgi?id=684210

that ibus 1.5 still has this capability, but it is not exposed
in 1.5, and there is an easy way to get it back.

> But GNOME blog says such feature is reintroduced in GNOME 3.7.4, not
> verified by any means.
> http://blogs.gnome.org/mclasen/2013/01/14/input-sources-in-gnome-3-7-4-continued/

Also in the above mentioned bugzilla report it is confirmed that
a patch is pushed to the panel code.


Norbert

------------------------------------------------------------------------
PREINING, Norbert                               http://www.preining.info
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Wed, 13 Feb 2013 07:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Wed, 13 Feb 2013 07:15:03 GMT) Full text and rfc822 format available.

Message #273 received at 700076@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: Norbert Preining <preining@logic.at>
Cc: Ma Xiaojun <damage3025@gmail.com>, 700076@bugs.debian.org
Subject: Re: Bug#700076: [Pkg-ime-devel] Bug#700076: ibus: non-functional, setup breaks
Date: Wed, 13 Feb 2013 15:11:53 +0800
On Wed, Feb 13, 2013 at 3:04 PM, Norbert Preining <preining@logic.at> wrote:
> Hi Ma,
>
> thanks for your email, good research, horrible reading
> (GNome devs are *sick*, removing features without understanding
> their imprtance)
>
> On Mi, 13 Feb 2013, Ma Xiaojun wrote:
>> On Wed, Feb 13, 2013 at 1:46 PM, Norbert Preining <preining@logic.at> wrote:
>> > Is this really gone? (BTW, even if they remove it, I would consider
>> > it a bug that should be reintroduced upstream )
>>
>> Yes.
>> http://code.google.com/p/ibus/issues/detail?id=1568
>
> Yeah, but this is ALL about gnome 3.6, but we are
> discussing here Debian/unstable for now, that menas
>         gnome 3.4
>         ibus 1.5
> at the moment.
>
> It seems, from my reading of that bug report
> https://bugzilla.gnome.org/show_bug.cgi?id=684210
>
> that ibus 1.5 still has this capability, but it is not exposed
> in 1.5, and there is an easy way to get it back.
>

The option has been hidden in ibus-setup, but I'm worry that whether
ibus 1.5 itself has removed the capability.

Here is a relevant commit, though I'm not sure this is the whole story:
https://github.com/ibus/ibus/commit/53d33ec4e6ad41a116f25cfa7ce12e04f6f93752


-- 
Regards,
Aron Xu



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Wed, 13 Feb 2013 07:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ma Xiaojun <damage3025@gmail.com>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Wed, 13 Feb 2013 07:24:03 GMT) Full text and rfc822 format available.

Message #278 received at 700076@bugs.debian.org (full text, mbox):

From: Ma Xiaojun <damage3025@gmail.com>
To: Aron Xu <happyaron.xu@gmail.com>
Cc: Norbert Preining <preining@logic.at>, 700076@bugs.debian.org
Subject: Re: Bug#700076: [Pkg-ime-devel] Bug#700076: ibus: non-functional, setup breaks
Date: Wed, 13 Feb 2013 15:21:03 +0800
On Wed, Feb 13, 2013 at 3:11 PM, Aron Xu <happyaron.xu@gmail.com> wrote:
> The option has been hidden in ibus-setup, but I'm worry that whether
> ibus 1.5 itself has removed the capability.

I believe that it is removed since changing dconf key has no effect either.

For IBus (1.4.99+) + GNOME combo, it really depend on which IBus UI is
being used.
For 3.4 in particular, it means IBus built-in UI or ibsu-gjs, they
don't have capacity of local IM state AFAIK.



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Wed, 13 Feb 2013 07:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Wed, 13 Feb 2013 07:30:05 GMT) Full text and rfc822 format available.

Message #283 received at 700076@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Aron Xu <happyaron.xu@gmail.com>, Ma Xiaojun <damage3025@gmail.com>
Cc: 700076@bugs.debian.org
Subject: Re: Bug#700076: [Pkg-ime-devel] Bug#700076: ibus: non-functional, setup breaks
Date: Wed, 13 Feb 2013 16:26:49 +0900
Hi,

On Mi, 13 Feb 2013, Aron Xu wrote:
> Here is a relevant commit, though I'm not sure this is the whole story:
> https://github.com/ibus/ibus/commit/53d33ec4e6ad41a116f25cfa7ce12e04f6f93752

Seen that, it is huge, not sure reverting it would help. 
There are too many code changes there. I have the feeling this
is a catch all commit and not really one commit for one thing.
THat makes revering much harder.

On Mi, 13 Feb 2013, Ma Xiaojun wrote:
> I believe that it is removed since changing dconf key has no effect either.

Argh, that is a good point, if chanigng dconf key does not work,
all hope is lost.

I would propose to re-upload 1.4 with a new epoch to unstable, to
unbreak current sitatuon.

Or do you see any chance that ibus upstream fixes this?


Norbert

------------------------------------------------------------------------
PREINING, Norbert                               http://www.preining.info
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Wed, 13 Feb 2013 08:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Wed, 13 Feb 2013 08:09:03 GMT) Full text and rfc822 format available.

Message #288 received at 700076@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Aron Xu <happyaron.xu@gmail.com>, Ma Xiaojun <damage3025@gmail.com>
Cc: 700076@bugs.debian.org
Subject: Re: Bug#700076: [Pkg-ime-devel] Bug#700076: ibus: non-functional, setup breaks
Date: Wed, 13 Feb 2013 17:06:45 +0900
SOrry guys, I guess I have to say good-bye to ibus.

I removed all ibus components, installed fcitx, and now, out of nothing,
everything works. Per window setting, Japanese input in firefox/iceweasel,
...

I guess it is time for me to drop ibus.

Norbert

------------------------------------------------------------------------
PREINING, Norbert                               http://www.preining.info
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Wed, 13 Feb 2013 08:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ma Xiaojun <damage3025@gmail.com>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Wed, 13 Feb 2013 08:48:03 GMT) Full text and rfc822 format available.

Message #293 received at 700076@bugs.debian.org (full text, mbox):

From: Ma Xiaojun <damage3025@gmail.com>
To: Norbert Preining <preining@logic.at>
Cc: Aron Xu <happyaron.xu@gmail.com>, 700076@bugs.debian.org
Subject: Re: Bug#700076: [Pkg-ime-devel] Bug#700076: ibus: non-functional, setup breaks
Date: Wed, 13 Feb 2013 16:43:37 +0800
On Wed, Feb 13, 2013 at 3:26 PM, Norbert Preining <preining@logic.at> wrote:
> I would propose to re-upload 1.4 with a new epoch to unstable, to
> unbreak current sitatuon.

I prefer "Let IBus be IBus".
Debian is not a one-stop shop like some other distros.
I guess we don't have to hide something from the users.

> Or do you see any chance that ibus upstream fixes this?

No, that issue is not new; bothered some users in Fedora 17 already.
I've contacted origin developer of IBus in private mail but no related
action take place.



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Wed, 13 Feb 2013 11:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Wed, 13 Feb 2013 11:15:03 GMT) Full text and rfc822 format available.

Message #298 received at 700076@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: Norbert Preining <preining@logic.at>
Cc: 700076@bugs.debian.org
Subject: Re: Bug#700076: [Pkg-ime-devel] Bug#700076: ibus: non-functional, setup breaks
Date: Wed, 13 Feb 2013 19:10:46 +0800
On Wed, Feb 13, 2013 at 3:26 PM, Norbert Preining <preining@logic.at> wrote:
> Hi,
>
> On Mi, 13 Feb 2013, Aron Xu wrote:
>> Here is a relevant commit, though I'm not sure this is the whole story:
>> https://github.com/ibus/ibus/commit/53d33ec4e6ad41a116f25cfa7ce12e04f6f93752
>
> Seen that, it is huge, not sure reverting it would help.
> There are too many code changes there. I have the feeling this
> is a catch all commit and not really one commit for one thing.
> THat makes revering much harder.
>
> On Mi, 13 Feb 2013, Ma Xiaojun wrote:
>> I believe that it is removed since changing dconf key has no effect either.
>
> Argh, that is a good point, if chanigng dconf key does not work,
> all hope is lost.
>
> I would propose to re-upload 1.4 with a new epoch to unstable, to
> unbreak current sitatuon.
>
> Or do you see any chance that ibus upstream fixes this?
>

Do you think uploading as something like 1.5.1a.is.1.4.2 will work?
It's complicated but avoids epoch... We can wait until ibus upstream
provides a reasonable release and then continue the versioning.


-- 
Regards,
Aron Xu



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Wed, 13 Feb 2013 12:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Wed, 13 Feb 2013 12:33:03 GMT) Full text and rfc822 format available.

Message #303 received at 700076@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Aron Xu <happyaron.xu@gmail.com>
Cc: 700076@bugs.debian.org
Subject: Re: Bug#700076: [Pkg-ime-devel] Bug#700076: ibus: non-functional, setup breaks
Date: Wed, 13 Feb 2013 21:32:17 +0900
On Mi, 13 Feb 2013, Aron Xu wrote:
> Do you think uploading as something like 1.5.1a.is.1.4.2 will work?

Should work I guess, if you really want to avoid epochs.
Just try with
	dpkg --compare-version 1.5.1-2 lt 1.5.1a.is.1.4.2-1
?

Norbert

------------------------------------------------------------------------
PREINING, Norbert                               http://www.preining.info
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Wed, 13 Feb 2013 13:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Toni Mueller <support@oeko.net>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Wed, 13 Feb 2013 13:18:03 GMT) Full text and rfc822 format available.

Message #308 received at 700076@bugs.debian.org (full text, mbox):

From: Toni Mueller <support@oeko.net>
To: Norbert Preining <preining@logic.at>, 700076@bugs.debian.org
Cc: Aron Xu <happyaron.xu@gmail.com>, support@oeko.net
Subject: Re: [Pkg-ime-devel] Bug#700076: Bug#700076: ibus: non-functional, setup breaks
Date: Wed, 13 Feb 2013 14:15:25 +0100

On Wed, Feb 13, 2013 at 02:46:07PM +0900, Norbert Preining wrote:
> On Mi, 13 Feb 2013, Aron Xu wrote:
> > > - separate IME for different windows is working?
> > AFAIK this feature is removed, but not simply caused by bug.
> 
> Ok, maybe I was wrong with my explanation: What about the
> 	*activation*status*
> of the IME? Before I had the option to have some windows with Japanese
> input, and some with system kbd.
> 
> Is this really gone? (BTW, even if they remove it, I would consider
> it a bug that should be reintroduced upstream )

ACK. The ability to activate the IME on a per-window basis,
is crucial - at least for a Western user.


Kind regards,
--Toni++




Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Wed, 13 Feb 2013 18:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Wed, 13 Feb 2013 18:54:03 GMT) Full text and rfc822 format available.

Message #313 received at 700076@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: Norbert Preining <preining@logic.at>
Cc: 700076@bugs.debian.org
Subject: Re: Bug#700076: [Pkg-ime-devel] Bug#700076: ibus: non-functional, setup breaks
Date: Thu, 14 Feb 2013 02:49:48 +0800
On Wed, Feb 13, 2013 at 8:32 PM, Norbert Preining <preining@logic.at> wrote:
> On Mi, 13 Feb 2013, Aron Xu wrote:
>> Do you think uploading as something like 1.5.1a.is.1.4.2 will work?
>
> Should work I guess, if you really want to avoid epochs.
> Just try with
>         dpkg --compare-version 1.5.1-2 lt 1.5.1a.is.1.4.2-1
> ?
>

I've uploaded as 1.5.1.is.1.4.2-1, this is smaller than 1.5.2 anyway.
I'll rebuild ibus-chewing once the 1.4.2 version is published, and
asked ftp-masters to reject ibus-any/1.5.0-1 in NEW.

I'll continue the work for 1.5.x in experimental after this revert,
but the time will be at least next week.


-- 
Regards,
Aron Xu



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Wed, 13 Feb 2013 18:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Wed, 13 Feb 2013 18:57:03 GMT) Full text and rfc822 format available.

Message #318 received at 700076@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: Norbert Preining <preining@logic.at>
Cc: 700076@bugs.debian.org
Subject: Re: Bug#700076: [Pkg-ime-devel] ibus: non-functional, setup breaks
Date: Thu, 14 Feb 2013 02:54:18 +0800
On Wed, Feb 13, 2013 at 6:21 AM, Norbert Preining <preining@logic.at> wrote:
> Hi Aron,
>
> On Di, 12 Feb 2013, Aron Xu wrote:
>> It seems to be quite difficult to deal with current situation after my
>> checking into details of the whole stack because, ibus 1.5 series
>> depends extensively on gobject technology, but due to the nature of
>
> What does upstream say to this problem?
> Do you have contact with upstream? Good one?
> They must be aware that there are problems with gnome3, aren't they?
>
>> A possible solution is to revert everything back to ibus 1.4.2 series
>> and keep supporting it, and it will be supported by mainstream
>
> Less advisable if possible in any way. But it depends on upstream
> and their willingness to work on the problems.
>

From what I've read, it seems that upstream is working quite busy with
the need of every current development version of gnome-shell, and we
must wait for more time before it suits better into environments like
Debian. AFAIK opensuse will stay with ibus 1.4.2, and we've done that
too for Debian Sid and Ubuntu Raring. We can keep at least what we
already have in this way.


-- 
Regards,
Aron Xu



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Wed, 13 Feb 2013 19:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Wed, 13 Feb 2013 19:00:03 GMT) Full text and rfc822 format available.

Message #323 received at 700076@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: Toni Mueller <support@oeko.net>
Cc: Norbert Preining <preining@logic.at>, 700076@bugs.debian.org
Subject: Re: [Pkg-ime-devel] Bug#700076: Bug#700076: ibus: non-functional, setup breaks
Date: Thu, 14 Feb 2013 02:56:47 +0800
On Wed, Feb 13, 2013 at 9:15 PM, Toni Mueller <support@oeko.net> wrote:
>
>
> On Wed, Feb 13, 2013 at 02:46:07PM +0900, Norbert Preining wrote:
>> On Mi, 13 Feb 2013, Aron Xu wrote:
>> > > - separate IME for different windows is working?
>> > AFAIK this feature is removed, but not simply caused by bug.
>>
>> Ok, maybe I was wrong with my explanation: What about the
>>       *activation*status*
>> of the IME? Before I had the option to have some windows with Japanese
>> input, and some with system kbd.
>>
>> Is this really gone? (BTW, even if they remove it, I would consider
>> it a bug that should be reintroduced upstream )
>
> ACK. The ability to activate the IME on a per-window basis,
> is crucial - at least for a Western user.
>
>

Thanks for the acknowledgement, I understand the situation. I've
reverted the version in Sid to 1.4.2, though the debian version is
something odd (to avoid epoch).

I'll leave the work of ibus 1.5 for experimental, and downgrade the
severity of this bug to important so we can keep track of the
progress.


-- 
Regards,
Aron Xu



Added tag(s) upstream; removed tag(s) pending and patch. Request was from Aron Xu <happyaron.xu@gmail.com> to control@bugs.debian.org. (Wed, 13 Feb 2013 19:03:05 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'grave' Request was from Aron Xu <happyaron.xu@gmail.com> to control@bugs.debian.org. (Wed, 13 Feb 2013 19:03:05 GMT) Full text and rfc822 format available.

No longer marked as found in versions ibus/1.5.1-1. Request was from Aron Xu <happyaron.xu@gmail.com> to control@bugs.debian.org. (Wed, 13 Feb 2013 19:06:10 GMT) Full text and rfc822 format available.

Changed Bug title to 'ibus/1.5.x: several regressions' from 'ibus: non-functional, setup breaks' Request was from Aron Xu <happyaron.xu@gmail.com> to control@bugs.debian.org. (Wed, 13 Feb 2013 19:06:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Thu, 14 Feb 2013 11:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Thu, 14 Feb 2013 11:00:06 GMT) Full text and rfc822 format available.

Message #336 received at 700076@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: Aron Xu <happyaron.xu@gmail.com>, 700076@bugs.debian.org
Cc: Norbert Preining <preining@logic.at>
Subject: Re: Bug#700076: [Pkg-ime-devel] ibus: non-functional, setup breaks
Date: Thu, 14 Feb 2013 19:54:57 +0900
On Thu, Feb 14, 2013 at 02:54:18AM +0800, Aron Xu wrote:
> On Wed, Feb 13, 2013 at 6:21 AM, Norbert Preining <preining@logic.at> wrote:
> > Hi Aron,
> >
> > On Di, 12 Feb 2013, Aron Xu wrote:
> >> It seems to be quite difficult to deal with current situation after my
> >> checking into details of the whole stack because, ibus 1.5 series
> >> depends extensively on gobject technology, but due to the nature of
> >
> > What does upstream say to this problem?
> > Do you have contact with upstream? Good one?
> > They must be aware that there are problems with gnome3, aren't they?
> >
> >> A possible solution is to revert everything back to ibus 1.4.2 series
> >> and keep supporting it, and it will be supported by mainstream
> >
> > Less advisable if possible in any way. But it depends on upstream
> > and their willingness to work on the problems.
> >
> 
> From what I've read, it seems that upstream is working quite busy with
> the need of every current development version of gnome-shell, and we
> must wait for more time before it suits better into environments like
> Debian. AFAIK opensuse will stay with ibus 1.4.2, and we've done that
> too for Debian Sid and Ubuntu Raring. We can keep at least what we
> already have in this way.

Yah... that is why I was reluctant to push too early ...



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Fri, 15 Feb 2013 16:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Toni Mueller <support@oeko.net>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Fri, 15 Feb 2013 16:12:05 GMT) Full text and rfc822 format available.

Message #341 received at 700076@bugs.debian.org (full text, mbox):

From: Toni Mueller <support@oeko.net>
To: Aron Xu <happyaron.xu@gmail.com>, 700076@bugs.debian.org
Cc: Toni Mueller <support@oeko.net>, Norbert Preining <preining@logic.at>
Subject: Re: [Pkg-ime-devel] Bug#700076: Bug#700076: Bug#700076: ibus: non-functional, setup breaks
Date: Fri, 15 Feb 2013 17:10:21 +0100
Hi Aron,

On Thu, Feb 14, 2013 at 02:56:47AM +0800, Aron Xu wrote:
> Thanks for the acknowledgement, I understand the situation. I've
> reverted the version in Sid to 1.4.2, though the debian version is
> something odd (to avoid epoch).

I have now updated to ibus 1.5.1.is.1.4.2-1 and generally all
ibus-related packages to their latest versions, but I am still not
quite happy:

After I reconfigured ibus (my old config was wiped/inaccessible), I now
have rather spotty availability. Most of the time, ibus claims to have
"No input window", when it in fact should. I could it get to work only
in one window, but haven't yet verified whether it would work in one
random window at a time. Eg. it works in some, but not all, Roxterm
windows (same instance!), not in Emacs, not in Anki, and not in
LibreOffice 3.5. But it does work in Firefox and LibreOffice 3.6 (from
upstream). Also, scrolling the candidates list does not work at all.

If you want me to file some of these issues separately, please just
say so.


Kind regards,
--Toni++



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#700076; Package ibus. (Thu, 28 Feb 2013 01:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Thu, 28 Feb 2013 01:09:05 GMT) Full text and rfc822 format available.

Message #346 received at 700076@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: Toni Mueller <support@oeko.net>
Cc: 700076@bugs.debian.org, Norbert Preining <preining@logic.at>
Subject: Re: [Pkg-ime-devel] Bug#700076: Bug#700076: Bug#700076: ibus: non-functional, setup breaks
Date: Thu, 28 Feb 2013 09:07:20 +0800
[Message part 1 (text/plain, inline)]
I think your problem could be related to IM Modules? What's the version of
ibus-gtk*?
[Message part 2 (text/html, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 10 Jul 2013 20:11:05 GMT) Full text and rfc822 format available.

Reply sent to Osamu Aoki <osamu@debian.org>:
You have taken responsibility. (Thu, 11 Jul 2013 22:03:15 GMT) Full text and rfc822 format available.

Notification sent to Norbert Preining <preining@logic.at>:
Bug acknowledged by developer. (Thu, 11 Jul 2013 22:03:15 GMT) Full text and rfc822 format available.

Message #353 received at 700076-close@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: 700076-close@bugs.debian.org
Subject: Bug#700076: fixed in ibus 1.5.2-1
Date: Thu, 11 Jul 2013 22:00:06 +0000
Source: ibus
Source-Version: 1.5.2-1

We believe that the bug you reported is fixed in the latest version of
ibus, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 700076@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Osamu Aoki <osamu@debian.org> (supplier of updated ibus package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 10 Jul 2013 07:41:50 +0900
Source: ibus
Binary: ibus libibus-1.0-5 libibus-1.0-dev ibus-gtk ibus-gtk3 python-ibus ibus-doc gir1.2-ibus-1.0
Architecture: source amd64 all
Version: 1.5.2-1
Distribution: experimental
Urgency: low
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Changed-By: Osamu Aoki <osamu@debian.org>
Description: 
 gir1.2-ibus-1.0 - Intelligent Input Bus - introspection data
 ibus       - Intelligent Input Bus - core
 ibus-doc   - Intelligent Input Bus - development documentation
 ibus-gtk   - Intelligent Input Bus - GTK+2 support
 ibus-gtk3  - Intelligent Input Bus - GTK+3 support
 libibus-1.0-5 - Intelligent Input Bus - shared library
 libibus-1.0-dev - Intelligent Input Bus - development file
 python-ibus - Intelligent Input Bus - Python support
Closes: 700076
Changes: 
 ibus (1.5.2-1) experimental; urgency=low
 .
   [ Osamu Aoki ]
   * New upstream release.
   * Merge post-revert changes in the recent unstable released packages
     and include such changelog entries.
 .
   [ Aron Xu ]
   * debian/control:
     - ibus Depends on gir1.2-ibus-1.0 and dconf-tools. Closes: #700076
Checksums-Sha1: 
 c6302fb314ad7b6bd1e0615a49474ab5d0c1844b 1998 ibus_1.5.2-1.dsc
 a7e1695731b4c954fa8897d091e6dda64e08b28c 1882764 ibus_1.5.2.orig.tar.gz
 2984f3877a7477f8037148af9be33bea0536118f 15854 ibus_1.5.2-1.debian.tar.gz
 90c3457c6961031b6ac6e5b406a26e32ea3011b5 483324 ibus_1.5.2-1_amd64.deb
 7bc0d2ec22deef060d75ad9b107dea75bce3117e 306876 libibus-1.0-5_1.5.2-1_amd64.deb
 af0799e0e68cccb24245c9eb05f79e3017b35ff3 364878 libibus-1.0-dev_1.5.2-1_amd64.deb
 4523d59109376a90b7f7bbc0d4f76d35218f0b11 185414 ibus-gtk_1.5.2-1_amd64.deb
 1ac36124e0c6b284b6b81f30cbc45327e3ff96d3 185366 ibus-gtk3_1.5.2-1_amd64.deb
 57b628793ca5e0b1041333627eeb06c4d151b105 207482 python-ibus_1.5.2-1_all.deb
 a27bf5dd9d2e93b88e0b48b5f350482d37a66858 499118 ibus-doc_1.5.2-1_all.deb
 8fd49eb996822b2ed83f8b635fb31dc1a442d554 262122 gir1.2-ibus-1.0_1.5.2-1_amd64.deb
Checksums-Sha256: 
 1a8cbd03ede9f7e44cc3eaae18b5334ff9e257fa2a93a62e19b16fde05f45d9a 1998 ibus_1.5.2-1.dsc
 394f5653e336c6bc02cb055b8eac9f0c9b2a337d582b278e3e825e8cf3f0230d 1882764 ibus_1.5.2.orig.tar.gz
 e23752e6b1b29592a5c1f8f736543cc36a5e9f240959f8a168ebe088493e4db5 15854 ibus_1.5.2-1.debian.tar.gz
 c100e3798d9e8f74a2be95721a4eacc15998db0c3396319fe23376fc839c4110 483324 ibus_1.5.2-1_amd64.deb
 6210b8e31c9168b5171ef9058dee487514d855092a3ee1ec3b5a772659e81558 306876 libibus-1.0-5_1.5.2-1_amd64.deb
 29de0837ea6c1aff7274ac1e6d81387f62e3a95caebc61fb3261abd0ff543f5a 364878 libibus-1.0-dev_1.5.2-1_amd64.deb
 f7ba3738410798db92e740407b4a86a4f5feb6507d241033f83fa929199d0bcc 185414 ibus-gtk_1.5.2-1_amd64.deb
 ae2970c5dcdff7271bddc76f2da9a03e213d3a51f5075c7f605ba6697953f8d4 185366 ibus-gtk3_1.5.2-1_amd64.deb
 266b6b16995101a9b51fa70e1dcd5bb8e3b1afeee9bbbf45b4d264e2b174bfd2 207482 python-ibus_1.5.2-1_all.deb
 26c0ff798f6965f0c87da5557ec86543523d2dc070fc4880d57a347d95472a1a 499118 ibus-doc_1.5.2-1_all.deb
 60bae53c2a9c74263f318475c49d3f102726d337c720222b00d29d5dc45a509e 262122 gir1.2-ibus-1.0_1.5.2-1_amd64.deb
Files: 
 e9dce6246ce48e66c1c20cffcb4e8ce2 1998 utils optional ibus_1.5.2-1.dsc
 1b6b9c91089767762e00f8b5858d1b59 1882764 utils optional ibus_1.5.2.orig.tar.gz
 b6c8a990ac58ea9d74eb80edac166fc1 15854 utils optional ibus_1.5.2-1.debian.tar.gz
 0f57e6005637fbb30f9245dd02b8a178 483324 utils optional ibus_1.5.2-1_amd64.deb
 024ccb8e46b313efd62a38abcbbe9e99 306876 libs optional libibus-1.0-5_1.5.2-1_amd64.deb
 7bd84bfc89f535574c6d0c9b31e18425 364878 libdevel optional libibus-1.0-dev_1.5.2-1_amd64.deb
 e82d7ebf6acb92c6c21cd0d5ee1ad40c 185414 utils optional ibus-gtk_1.5.2-1_amd64.deb
 2f1a1daef22db53ffd003e4d99ca988d 185366 utils optional ibus-gtk3_1.5.2-1_amd64.deb
 dc82aca6ee5899c7cf49a9f05b7e18c4 207482 python optional python-ibus_1.5.2-1_all.deb
 194fc8d11a9bf2029228f2b4fd49ebe2 499118 doc optional ibus-doc_1.5.2-1_all.deb
 1e5ccb536b5a8d2f1fceabe5f0b69f14 262122 introspection optional gir1.2-ibus-1.0_1.5.2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlHdYCEACgkQ6A/EwagGHzIw6gCdF+kokroxlWvksPkYq2oGAKwc
LTsAnAlcHtmSAnK+hcoohPwNxmJjaa39
=g5KY
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 20 Aug 2013 07:30:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:26:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.